Method: versions.create

Full name: accounts.containers.versions.create

Creates a Container Version.

HTTP request

POST https://tagmanager.googleapis.com/tagmanager/v1/accounts/{accountId}/containers/{containerId}/versions

Path parameters

Parameters
accountId

string

The GTM Account ID.

containerId

string

The GTM Container ID.

Request body

The request body contains an instance of VersionOptions.

Response body

Create container versions response.

If successful, the response body contains data with the following structure:

JSON representation
{
  "containerVersion": {
    object (ContainerVersion)
  },
  "compilerError": boolean
}
Fields
containerVersion

object (ContainerVersion)

The container version created.

compilerError

boolean

Compiler errors or not.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/tagmanager.edit.containerversions

For more information, see the OAuth 2.0 Overview.

VersionOptions

Options for new container versions.

JSON representation
{
  "quickPreview": boolean,
  "name": string,
  "notes": string
}
Fields
quickPreview

boolean

The creation of this version may be for quick preview and shouldn't be saved.

name

string

The name of the container version to be created.

notes

string

The notes of the container version to be created.